NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
NeuralEngine::ReversalObject< Iterator > Class Template Reference

Reversal object. More...

`#include <NeReversalObject.h>`

Collaboration diagram for NeuralEngine::ReversalObject< Iterator >:
[legend]

## Public Member Functions
| ReversalObject (Iterator begin, Iterator end)
Iterator | begin () const
Iterator | end () const

## Private Attributes
Iterator | mBegin
Iterator | mEnd

## Detailed Description

template<typename Iterator>
class NeuralEngine::ReversalObject< Iterator >

Reversal object.

<note> The function NE::reverse supports reverse iteration in range-based for-loops using the auto keyword. For example,

std::vector<int> numbers(4); int i = 0; for (auto& number : numbers) { number = i++; std::cout << number << ' '; } // Output: 0 1 2 3

for (auto& number : NE::reverse(numbers)) { std::cout << number << ' '; } // Output: 3 2 1 0 </note>

Hmetal T, 04.08.2016.

Definition at line 50 of file NeReversalObject.h.

## Constructor & Destructor Documentation

## ◆ ReversalObject()

template<typename Iterator >

NeuralEngine::ReversalObject< Iterator >::ReversalObject | ( | Iterator | begin,
|  | Iterator | end
| ) |  |
| inline

Definition at line 53 of file NeReversalObject.h.

## Member Function Documentation

## ◆ begin()

template<typename Iterator >

Iterator NeuralEngine::ReversalObject< Iterator >::begin | ( |  | ) | const
| inline

Definition at line 60 of file NeReversalObject.h.

## ◆ end()

template<typename Iterator >

Iterator NeuralEngine::ReversalObject< Iterator >::end | ( |  | ) | const
| inline

Definition at line 61 of file NeReversalObject.h.

## Member Data Documentation

## ◆ mBegin

template<typename Iterator >

Iterator NeuralEngine::ReversalObject< Iterator >::mBegin
| private

Definition at line 64 of file NeReversalObject.h.

## ◆ mEnd

template<typename Iterator >

Iterator NeuralEngine::ReversalObject< Iterator >::mEnd
| private

Definition at line 64 of file NeReversalObject.h.

The documentation for this class was generated from the following file:

- NeReversalObject.h